Cloud.drone.io: error while loading shared libraries: libX11-xcb.so


#1

Hi!

I use https://cloud.drone.io to run an image.

I use image: node:latest as the image, but once I try to start puppeteer, it get this error message: error while loading shared libraries: libX11-xcb.so

I do already set the flags: --no-sandbox and --disable-setuid-sandbox on puppeteer.launch

Do someone have an idea what image i could use instead?


#2

The solution was to make my own dockerfile with the needed libs